### Signal

# Adw SwipeTracker::begin-swipe

#### Declaration

    void
    begin_swipe (
      AdwSwipeTracker* self,
      AdwNavigationDirection direction,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a possible swipe is detected.

The `direction` value can be used to restrict the swipe to a certain direction.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.
Available since: | 1.0

#### Parameters

`direction` | `AdwNavigationDirection`
| The direction of the swipe.